[Numpy-discussion] [Pythonmac-SIG] 1.4.0 installer fails on OSX 10.6.2

David Cournapeau cournape@gmail....
Wed Jan 6 19:12:08 CST 2010


On Thu, Jan 7, 2010 at 1:35 AM, Christopher Barker
<Chris.Barker@noaa.gov> wrote:
> One more note:
>
> An easy improvement to the current situation with binaries is to LABEL
> THEM WELL:
>
> It's worse to have a binary you expect to work fail for you than to not
> have one available. IN the past, I think folks' have used the default
> name provided by bdist_mpkg, and those are not always clear. Something like:
>
>
> numpy1.4-osx10.4-python.org2.6-32bit.dmg

The 32 bits is redundant - we support all archs supported by the
official python binary, so python.org is enough. About osx10.4, I
still don't know how to make sure we do work there with distutils. The
whole MACOSX_DEPLOYMENT_TARGET confuses me quite a lot. Other than
that, the numpy 1.4.0 follows your advice, and contains the python.org
part.

David


More information about the NumPy-Discussion mailing list